Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IVerificationResult

public interface IVerificationResult

Verification result. An object implementing this interface represents a token passed between the update framework and the verifier and verification listener. The verifier uses the token to capture the result of the file verification. It is then passed to the verification listener to optionally present this information to the user (in an implementation-specific way). The verification listener in turn uses this token to capture the desired response.

Clients may implement this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Field Summary
`static int` | `TYPE_ENTRY_CORRUPTED` Indicates the file has been modified since it was signed
`static int` | `TYPE_ENTRY_NOT_SIGNED` Indicates the file type is recognized but the file is not signed
`static int` | `TYPE_ENTRY_SIGNED_RECOGNIZED` Indicates the file is signed by a known signer
`static int` | `TYPE_ENTRY_SIGNED_UNRECOGNIZED` Indicates the file is signed but the signer is not known
`static int` | `TYPE_ENTRY_UNRECOGNIZED` Could not perform verification due to unrecognized file
`static int` | `UNKNOWN_ERROR` Error occurred during verification
`static int` | `VERIFICATION_CANCELLED` Verification was cancelled

Method Summary
`boolean` | `alreadySeen()` Indicates whether the signer and verifier info have already been accepted by the user during a previous verification of one of the file of the feature.
`ContentReference` | `getContentReference()` Returns the content reference that is the target of the verification.
`IFeature` | `getFeature()` Returns the feature the referenced file is part of.
`String` | `getSignerInfo()` Returns text describing the signer
`String` | `getText()` Returns display text describing the result of the verification.
`int` | `getVerificationCode()` Returns the verification code.
`Exception` | `getVerificationException()` Returns any exception caught during verification
`String` | `getVerifierInfo()` Returns text describing the authority that verified/ certified the signer
`boolean` | `isFeatureVerification()` Indicates whether the referenced file is part of the overall feature definition, or one of its component plug-in or non-plug-in entries.

Field Detail

### TYPE_ENTRY_NOT_SIGNED

    public static final int TYPE_ENTRY_NOT_SIGNED

  Indicates the file type is recognized but the file is not signed

  Since:
    2.0
  See Also:
    `TYPE_ENTRY_UNRECOGNIZED`, Constant Field Values

### TYPE_ENTRY_CORRUPTED

    public static final int TYPE_ENTRY_CORRUPTED

  Indicates the file has been modified since it was signed

  Since:
    2.0
  See Also:
    Constant Field Values

### TYPE_ENTRY_SIGNED_RECOGNIZED

    public static final int TYPE_ENTRY_SIGNED_RECOGNIZED

  Indicates the file is signed by a known signer

  Since:
    2.0
  See Also:
    Constant Field Values

### TYPE_ENTRY_SIGNED_UNRECOGNIZED

    public static final int TYPE_ENTRY_SIGNED_UNRECOGNIZED

  Indicates the file is signed but the signer is not known

  Since:
    2.0
  See Also:
    Constant Field Values

### UNKNOWN_ERROR

    public static final int UNKNOWN_ERROR

  Error occurred during verification

  Since:
    2.0
  See Also:
    Constant Field Values

### VERIFICATION_CANCELLED

    public static final int VERIFICATION_CANCELLED

  Verification was cancelled

  Since:
    2.0
  See Also:
    Constant Field Values

### TYPE_ENTRY_UNRECOGNIZED

    public static final int TYPE_ENTRY_UNRECOGNIZED

  Could not perform verification due to unrecognized file

  Since:
    2.0
  See Also:
    `TYPE_ENTRY_NOT_SIGNED`, Constant Field Values

Method Detail

### getContentReference

    public ContentReference getContentReference()

  Returns the content reference that is the target of the verification.

  Returns:
    content reference
  Since:
    2.0

### getFeature

    public IFeature getFeature()

  Returns the feature the referenced file is part of.

  Returns:
    feature
  Since:
    2.0

### getVerificationCode

    public int getVerificationCode()

  Returns the verification code.

  Returns:
    verification code, as defined in this interface.
  Since:
    2.0

### getVerificationException

    public Exception getVerificationException()

  Returns any exception caught during verification

  Returns:
    exception, or `null`.
  Since:
    2.0

### getText

    public String getText()

  Returns display text describing the result of the verification.

  Returns:
    result text, or `null`.
  Since:
    2.0

### getSignerInfo

    public String getSignerInfo()

  Returns text describing the signer

  Returns:
    signer information, or `null`.
  Since:
    2.0

### getVerifierInfo

    public String getVerifierInfo()

  Returns text describing the authority that verified/ certified the signer

  Returns:
    verifier information, or `null`.
  Since:
    2.0

### isFeatureVerification

    public boolean isFeatureVerification()

  Indicates whether the referenced file is part of the overall feature definition, or one of its component plug-in or non-plug-in entries.

  Returns:
    `true` if reference is a feature file, `false` if reference is a plug-in or non-plug-in file
  Since:
    2.0

### alreadySeen

    public boolean alreadySeen()

  Indicates whether the signer and verifier info have already been accepted by the user during a previous verification of one of the file of the feature.

  Returns:
    `true` if the result has already been accepted, `false` if the result has not yet been accepted by the user
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.